KDE 4.2 PyKDE API Reference

- KDE's Python API

# KMimeTypeValidator Class Reference

`from PyKDE4.kdeui import *`

Inherits: QValidator → QObject

## Detailed Description

## Methods

| __init__ (self, QObject parent=0)
| fixup (self, QString input)
QValidator.State, int (pos) | validate (self, QString input, )

## Method Documentation

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Creates a new mime type validator.

fixup | ( | self, |
|  | QString | input
| ) |  |  |

Removes all characters that are forbidden in mimetypes.

QValidator.State, int (pos) validate | ( | self, |
|  | QString | input,
| ) |  |  |

Checks for well-formed mimetype. Returns

- Acceptable iff input ~= /^[:allowed chars:]+\/[:allowed chars:]+$/
- Intermediate iff input ~= /^[:allowed chars:]*\/?[:allowed chars:]*$/
- Invalid else